Topic: Old background problem

I know, i know, you herd it 100 times before.

but none of the forum solutions i found on google seem to work.

The problem:
I set the background in my display properties.
but when i restart my background is gone.

OS: Win 7 32 bit ulimate
LS:  exe version 0.24.8

TurtleSoup2 theme.
modified for multiple open/close desktop icon windows and customized dual monitor layout among other things.

theme.rc pastebin link:  http://pastebin.com/TXt0XFSV

Modules: list
*NetLoadModule vtray-1.10
*NetLoadModule tasks-0.92-b3
*NetLoadModule lsxcommand-2.0.2
*NetLoadModule shortcut2-2.0
;*NetLoadModule ckvwm-1.40
*NetLoadModule geekamp-1.9.7
*NetLoadModule chronos-1.5
*NetLoadModule popup2-2.0
;*NetLoadModule jamptoo-1.4
*NetLoadModule jdesk-0.74
;*NetLoadModule jdesk-0.711
*NetLoadModule mzscript-0.8.6l
*NetLoadModule textedit-2.4l-13
;*NetLoadModule Clickonic-1.1.5-pre2
*NetLoadModule Clickonic-1.1.5
*NetLoadModule label-1.991


Re: Old background problem

I'm not fully aware of the details, but Vista and above render their wallpapers in a different method than it did in XP and earlier.

Don't think jDesk understands the new ways properly. I had a look at xDesk docs as well, didn't spot if it had an option for it.

I think the most realiable version for it to work as expected would be to upgrade to the newest LS builds and use nDesk instead. It has an option called "nDeskDontRenderWallpaper" which has worked fine for me at least. It'll stop LS from trying to do the rendering and leaves it for Windows. Or something. As said, I don't know the details of how this works. tongue

If you need help with upgrading, you could have a looksee at this, just skip the first step.
This'll make any theme which uses xModules fail to load more likely than not. Your current theme doesn't seem to use any, so upgrade should be rather painless. Might be a plan to back up your current LS folder just in case though.


Re: Old background problem

0.24.8 only supports Windows XP and below. Switch to 0.25.0 and the problem should go away.


Re: Old background problem

greywool - i will look into ndesk.

alur - both the binary and the installer downloads on litestep.net are for version 0.24.8
if there is a 0.25.0+ please link it for me.


Re: Old background problem


Just extract the files into your litestep folder, overwrite the old files. Make sure LS isn't running while you do this.


Re: Old background problem

Greywool wrote:


Just extract the files into your litestep folder, overwrite the old files. Make sure LS isn't running while you do this.

bummer. download site broken. i'll try again later.


Re: Old background problem

Oh. Just for those times I have a backup of it over myah. tongue


Re: Old background problem

That appears to of done the trick.
Thanks GreyWool smile


Re: Old background problem

Bummer. crashes on every recycle.